CREATE DATABASE dexcare_visits;
GO

USE dexcare_visits;
GO

create table visits (id int IDENTITY(1,1) NOT NULL PRIMARY KEY,
                     visit_id varchar(100),
                     visit_type varchar(20),
                     patient_device varchar(100),
                     patient_first_name varchar(100),
                     patient_last_name varchar(100),
                     patient_dob date,
                     patient_gender varchar(10),
                     patient_relation_to_account varchar(20),
                     account_first_name varchar(100),
                     account_last_name varchar(100),
                     account_dob date,
                     account_gender varchar(10),
                     assigned_provider varchar(100),
                     actual_provider varchar(100),
                     epic_instance varchar(100),
                     epic_department varchar(100),
                     eid varchar(20),
                     epic_timeslot time,
                     current_state varchar(2),
                     patient_email varchar(100),
                     patient_phone varchar(20),
                     intake_billing_address varchar(100),
                     epic_billing_address varchar(100),
                     successful BIT,
                     payment_type varchar(20),
                     insurance_id varchar(100),
                     patient_subscriber_relationship varchar(20),
                     subscriber_member_id varchar(100),
                     subscriber_first_name varchar(100),
                     subscriber_last_name varchar(100),
                     subscriber_dob date,
                     transaction_id varchar(100),
                     amount_charged float,
                     waived BIT,
                     waive_reason varchar(250),
                     status varchar(20),
                     ready_for_visit BIT,
                     high_priority_visit BIT,
                     wait_time_in_seconds int,
                     visit_duration_in_seconds int,
                     requested_date date,
                     requested_time time,
                     waiting_room_date date,
                     waiting_room_time time,
                     in_visit_date date,
                     in_visit_time time,
                     done_date date,
                     done_time time,
                     declined_date date,
                     declined_time time,
                     declined_reason varchar(100),
                     decliner_name varchar(100),
                     decliner_roles varchar(100),
                     cancelled_date date,
                     cancelled_time time,
                     reason_for_visit text,
                     waiting_room_id varchar(20),
                     conference_room_id varchar(20),
                     app_brand_name varchar(100),
                     app_version varchar(20),
                     device_os_version varchar(20),
                     accept_tou BIT,
                     technology_feedback text,
                     service_key varchar(20),
                     client_id varchar(100),
                     discount_amount float,
                     initial_estimated_wait_time_minutes int,
                     initial_estimated_wait_time_verbiage varchar(100),
                     address_flagged BIT,
                     visit_rating int,
                     contact_authorization BIT,
                     additional_feedback text,
                     provider_feedback text,
                     customer_name varchar(100),
                     practice_id varchar(100),
                     practice_name varchar(100),
                     practice_region_id varchar(100),
                     practice_region_name varchar(100),
                     removed_from_rcpq varchar(100),
                     time_spent_in_rcpq time,
                     payment_module_complete BIT,
                     icc_photos_uploaded BIT,
                     time_to_visit time,
                     visit_in_rcpq BIT,
                     doc_signing_complete BIT,
                     source_file varchar(50),
                     creation_date datetime,
                     last_update_date datetime);
GO

CREATE UNIQUE INDEX visits_u1 ON dbo.visits(visit_id);
CREATE INDEX visits_n1 ON visits(epic_timeslot);
CREATE INDEX visits_n2 ON visits(requested_date);

GO
